/** */
package pkg;

import java.io.Serializable;
import java.util.Collection;
import java.util.HashSet;

import javax.persistence.*;

@Entity
@Table(name="CUSTOMER_TABLE")
public class Customer implements Serializable {

    private Integer id;
    private String name;
    private Collection<Order> orders;

    public Customer() {}

    @Id
    @Column(name="ID")
    public Integer getId() { return id; }
    public void setId(Integer id) { this.id = id; }

    public String getName() { return name; }
    public void setName(String name) { this.name = name; }

    @OneToMany(mappedBy="customer")
    public Collection<Order> getOrders() { return orders; }
    public void setOrders(Collection<Order> orders) { this.orders = orders; }
    public void addOrder(Order anOrder) {
        if (orders == null) {
            orders = new HashSet();
        }
        orders.add(anOrder);
        anOrder.setCustomer(this);
    }
    public void removeOrder(Order anOrder) { 
        if (orders != null) orders.remove(anOrder); 
    }

    public String toString() {
        return "Customer(id=" + id + ", name=" + name + ")";
    }

}
