/** */
package pkg;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.*;

@Entity
@Table(name="ORDER_TABLE")
public class Order implements Serializable {

    private Integer id;
    private float totalPrice;
    private Customer customer;
        
    public Order() {}

    @Id
    @Column(name="ID")
    public Integer getId() { return id; }
    public void setId(Integer id) { this.id = id; }

    @Basic
    @Column(name="TOTAL_PRICE")
    public float getTotalPrice() {
        return totalPrice;
    }
    
    public void setTotalPrice(float price) {
        this.totalPrice = price;
    }

    @ManyToOne
    @JoinColumn(name="CUST_ID")
    public Customer getCustomer() { 
        return customer; 
    }
    
    public void setCustomer(Customer customer) { 
        this.customer = customer; 
    }

    public String toString() {
        return "Order(id=" + id + 
               ", totalPrice=" + totalPrice + 
               ", customer=" + ((customer==null)?"null":customer.getName()) +
               ")";
    }
}
